View Issue Details

IDProjectCategoryView StatusLast Update
0001323SOGoBackend Calendarpublic2011-07-05 11:43
Reporterdgp Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.7 
Target Version1.3.8Fixed in Version1.3.8 
Summary0001323: Reschedule meeting from external user causes SOGo to generate mail FROM the external user
Description

Internal user receives an invite to a event from an 'external' user (or an e-mail address not known to SOGo). Accepts and adds to calendar.

External user then reschedules the event and an updated invite is generated. Internal user accepts the new invite and the calendar updates. SOGo then generates an e-mail FROM the external organiser to all other attendees about the updated meeting.

SOGo in this instance should not be generating anything at all as SCHEDULE-AGENT=CLIENT is specified on the ORGANIZER property.

Additional Information

Using SOGo 1.3.7a amd64 from the Debian inverse.ca repo. Tested with Thunderbird 3.1.10 and mozilla's lightning 1.0b2.

Cannot test with the SOGo web interface as I also suffer issue 0001318.

The rescheduled event time must be in the future to fire off the bug. Past dates do not cause it to happen.

TagsNo tags attached.

Activities

2011-05-26 13:05

 

valid-invite.eml (984 bytes)

2011-05-26 13:06

 

valid-reschedule.ics (995 bytes)   
BEGIN:VCALENDAR
PRODID:-//Mozilla.org/NONSGML Mozilla Calendar V1.1//EN
VERSION:2.0
METHOD:REQUEST
BEGIN:VTIMEZONE
TZID:Europe/London
X-LIC-LOCATION:Europe/London
BEGIN:DAYLIGHT
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
TZNAME:BST
DTSTART:19700329T010000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
TZNAME:GMT
DTSTART:19701025T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20110526T165302Z
LAST-MODIFIED:20110526T165557Z
DTSTAMP:20110526T165557Z
UID:7ce57896-0c7e-4dae-b06d-bbc7196b9202
SUMMARY:Test
ORGANIZER;RSVP=TRUE;CN=dgp;PARTSTAT=ACCEPTED;ROLE=CHAIR:mailto:dgp@localho
 st
ATTENDEE;RSVP=TRUE;PARTSTAT=NEEDS-ACTION;ROLE=REQ-PARTICIPANT:mailto:testu
 ser@localhost
ATTENDEE;RSVP=TRUE;PARTSTAT=NEEDS-ACTION;ROLE=REQ-PARTICIPANT:mailto:notro
 ot@localhost
DTSTART;TZID=Europe/London:20110526T190000
DTEND;TZID=Europe/London:20110526T200000
TRANSP:OPAQUE
SEQUENCE:1
END:VEVENT
END:VCALENDAR

valid-reschedule.ics (995 bytes)   

2011-05-26 13:09

 

error-invite.ics (998 bytes)   
BEGIN:VCALENDAR
PRODID:-//Mozilla.org/NONSGML Mozilla Calendar V1.1//EN
VERSION:2.0
METHOD:REQUEST
BEGIN:VTIMEZONE
TZID:Europe/London
X-LIC-LOCATION:Europe/London
BEGIN:DAYLIGHT
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
TZNAME:BST
DTSTART:19700329T010000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
TZNAME:GMT
DTSTART:19701025T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20110526T165302Z
LAST-MODIFIED:20110526T165333Z
DTSTAMP:20110526T165333Z
UID:7ce57896-0c7e-4dae-b06d-bbc7196b9202
SUMMARY:Test
ORGANIZER;RSVP=TRUE;CN=External;PARTSTAT=ACCEPTED;ROLE=CHAIR:mailto:extern
 al@somewhere.com
ATTENDEE;RSVP=TRUE;PARTSTAT=NEEDS-ACTION;ROLE=REQ-PARTICIPANT:mailto:testu
 ser@localhost
ATTENDEE;RSVP=TRUE;PARTSTAT=NEEDS-ACTION;ROLE=REQ-PARTICIPANT:mailto:notro
 ot@localhost
DTSTART;TZID=Europe/London:20110526T180000
DTEND;TZID=Europe/London:20110526T190000
TRANSP:OPAQUE
END:VEVENT
END:VCALENDAR

error-invite.ics (998 bytes)   

2011-05-26 13:09

 

error-reschedule.ics (1,009 bytes)   
BEGIN:VCALENDAR
PRODID:-//Mozilla.org/NONSGML Mozilla Calendar V1.1//EN
VERSION:2.0
METHOD:REQUEST
BEGIN:VTIMEZONE
TZID:Europe/London
X-LIC-LOCATION:Europe/London
BEGIN:DAYLIGHT
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
TZNAME:BST
DTSTART:19700329T010000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
TZNAME:GMT
DTSTART:19701025T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20110526T165302Z
LAST-MODIFIED:20110526T165557Z
DTSTAMP:20110526T165557Z
UID:7ce57896-0c7e-4dae-b06d-bbc7196b9202
SUMMARY:Test
ORGANIZER;RSVP=TRUE;CN=External;PARTSTAT=ACCEPTED;ROLE=CHAIR:mailto:extern
 al@somewhere.com
ATTENDEE;RSVP=TRUE;PARTSTAT=NEEDS-ACTION;ROLE=REQ-PARTICIPANT:mailto:testu
 ser@localhost
ATTENDEE;RSVP=TRUE;PARTSTAT=NEEDS-ACTION;ROLE=REQ-PARTICIPANT:mailto:notro
 ot@localhost
DTSTART;TZID=Europe/London:20110526T190000
DTEND;TZID=Europe/London:20110526T200000
TRANSP:OPAQUE
SEQUENCE:1
END:VEVENT
END:VCALENDAR

error-reschedule.ics (1,009 bytes)   

2011-05-26 13:09

 

error-sogo.ics (1,115 bytes)   
BEGIN:VCALENDAR
PRODID:-//Mozilla.org/NONSGML Mozilla Calendar V1.1//EN
VERSION:2.0
BEGIN:VTIMEZONE
TZID:Europe/London
X-LIC-LOCATION:Europe/London
BEGIN:DAYLIGHT
TZOFFSETFROM:+0000
TZOFFSETTO:+0100
TZNAME:BST
DTSTART:19700329T010000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0000
TZNAME:GMT
DTSTART:19701025T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20110526T165302Z
LAST-MODIFIED:20110526T170033Z
DTSTAMP:20110526T170033Z
UID:7ce57896-0c7e-4dae-b06d-bbc7196b9202
SUMMARY:Test
ORGANIZER;PARTSTAT=ACCEPTED;ROLE=CHAIR;SCHEDULE-AGENT=CLIENT;CN=External;RS
 VP=TRUE:mailto:external@somewhere.com
ATTENDEE;PARTSTAT=NEEDS-ACTION;ROLE=REQ-PARTICIPANT;RSVP=TRUE:mailto:testus
 er@localhost
ATTENDEE;PARTSTAT=NEEDS-ACTION;ROLE=REQ-PARTICIPANT;RSVP=TRUE:mailto:notroo
 t@localhost
DTSTART;TZID=Europe/London:20110526T190000
DTEND;TZID=Europe/London:20110526T200000
TRANSP:OPAQUE
SEQUENCE:2
X-MOZ-RECEIVED-SEQUENCE:1
X-MOZ-RECEIVED-DTSTAMP:20110526T165557Z
X-MOZ-GENERATION:1
END:VEVENT
METHOD:REQUEST
END:VCALENDAR
error-sogo.ics (1,115 bytes)   
dgp

dgp

2011-05-26 13:12

reporter   ~0002508

Attached files:
valid-invite - an invite from a local user to local users (@localhost)
valid-reschedule - reschedule for valid-invite
error-invite - copy of valid-invite but the organizer was not known to SOGo
error-reschedule - reschedule for error-invite that causes SOGo to generate mail
error-sogo - the ics generated by SOGo after accepting error-reschedule.

ludovic

ludovic

2011-07-04 16:59

administrator   ~0002650

The event acceptation was from SOGo's web interface or from Thunderbird?

ludovic

ludovic

2011-07-04 17:04

administrator   ~0002651

Nevermind, it's obviously from Thunderbird.

ludovic

ludovic

2011-07-05 11:43

administrator   ~0002654

Fixed: http://mtn.inverse.ca/revision/diff/0a26aa3104394fc27aedec6025fb6d01075058b4/with/6a276a3a3ea0a9b3f1f8f69464b4b6058b639b18

Issue History

Date Modified Username Field Change
2011-05-26 13:05 dgp New Issue
2011-05-26 13:05 dgp File Added: valid-invite.eml
2011-05-26 13:06 dgp File Added: valid-reschedule.ics
2011-05-26 13:09 dgp File Added: error-invite.ics
2011-05-26 13:09 dgp File Added: error-reschedule.ics
2011-05-26 13:09 dgp File Added: error-sogo.ics
2011-05-26 13:12 dgp Note Added: 0002508
2011-06-15 16:30 ludovic Status new => assigned
2011-06-15 16:30 ludovic Assigned To => ludovic
2011-06-15 16:30 ludovic Target Version => 1.3.8
2011-07-04 16:59 ludovic Note Added: 0002650
2011-07-04 17:04 ludovic Note Added: 0002651
2011-07-05 11:43 ludovic Note Added: 0002654
2011-07-05 11:43 ludovic Status assigned => resolved
2011-07-05 11:43 ludovic Fixed in Version => 1.3.8
2011-07-05 11:43 ludovic Resolution open => fixed